<?php

/* DCMS Special
 * Дата последнего редактирования 16.01.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../../sys/inc/$inc.php";
}

if (isset($_GET['id'])) {
    $id = intval($_GET['id']);
} else {
    header("Location: /index.php");
}

$set['title'] = lang('Редактирование');

require_once H . 'sys/inc/thead.php';

aut();

$dir = mysql_fetch_array(mysql_query("SELECT * FROM `smiles_dir` WHERE `id` = '" . $id . "'"));

if (!isset($user)) {
    echo '<div class = "errs">Доступ закрыт.</div>';
} else if ($id == 0 || $id < 0) {
    echo '<div class = "errs">Доступ закрыт.</div>';
} else if (isset($user) && $user['level'] < 4) {
    echo '<div class = "errs">Доступ закрыт.</div>';
} else {

    if ($_GET['act'] == 'dir') {
        #Навигация
        echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/modules/smiles/'>" . lang('Смайлы') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/modules/smiles/admin/'>" . lang('Управление') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/modules/smiles/admin/'>" . cutStr($dir['name'], 30) . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Редактирование');
        echo "</small></div><br />";

        if (isset($_POST['name']) && isset($_POST['pos'])) {
            $name = esc(stripcslashes(htmlspecialchars($_POST['name'])));
            $pos = intval($_POST['pos']);

            if (utf8_strlen($name) > 32) {
                $err = lang('Слишком большое название директории');
            } else if (utf8_strlen($name) < 3) {
                $err = lang('Слишком короткое название директории');
            } else if ($pos < 0) {
                $err = lang('Неверный выбор положения директории');
            } else {

                mysql_query("UPDATE `smiles_dir` SET `name` = '" . $name . "', `pos` = '" . $pos . "'  WHERE `id` = '" . $id . "' LIMIT 1");
                mysql_query("OPTIMIZE TABLE `smiles_dir`");
                $_SESSION['message'] = lang('Изменения сохранены');

                header("Location: /modules/smiles/admin/");
                exit();
            }
        }

        err();


        echo "<form method='post' class='list-group-item-null' action='edit.php?id=$id&amp;act=dir'>";

        echo lang('Название') . "<br />";
        echo "<input name='name' type='text' value='" . toOutput($dir['name']) . "' class='form-control'>";

        echo lang('Позиция') . "<br />";
        echo "<input name='pos' size='2' type='text' value='" . intval($dir['pos']) . "' class='form-control'><br />";

        $doc->Button('btn btn-success btn-sm', 'ok', 'save', 'Сохранить');
        echo "</form>";
    } else if ($_GET['act'] == 'smile') {
        $smile = mysql_fetch_array(mysql_query("SELECT * FROM `smiles_spis` WHERE `id` = '" . $id . "'"));

        #Навигация
        echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/modules/smiles/'>" . lang('Смайлы') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/modules/smiles/admin/'>" . lang('Управление') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/modules/smiles/admin/'>" . cutStr($smile['name'], 30) . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Редактирование');
        echo "</small></div><br />";

        if (isset($_POST['sim'])) {
            $sim = $_POST['sim'];

            mysql_query("UPDATE `smiles_spis` SET `sim` = '" . mysql_real_escape_string($sim) . "' WHERE `id` = '" . $id . "' LIMIT 1");
            mysql_query("OPTIMIZE TABLE `smiles_dir`");
            $_SESSION['message'] = lang('Изменения сохранены');

            header("Location: dir.php?id=$smile[id]");
            exit();
        }

        echo "<div class='list-group-item-null'>";
        echo "<img src='/style/smiles/$smile[name].png' alt='$smile[name]' /> $smile[sim] ";
        echo "</div>";

        echo "<form method='post' class='list-group-item-null' action='edit.php?id=$id&amp;act=smile'>";

        echo lang('Как используем') . "?<br />";
        echo "<input name='sim' type='text' value='" . htmlspecialchars($smile['sim']) . "' class='form-control'><br />";

        $doc->Button('btn btn-success btn-sm', null, 'save', 'Сохранить');
        echo "</form>";
    } else {
        echo '<div class="err">Неверный ввод</div>';
    }
}

require_once H . 'sys/inc/tfoot.php';
